discover: /home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/discover-conf.h Source File

Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals

# discover-conf.h

Go to the documentation of this file.

    00001
    00010 /* $Progeny$
    00011  *
    00012  * Copyright 2002 Hewlett-Packard Company
    00013  *
    00014  * Permission is hereby granted, free of charge, to any person obtaining a
    00015  * copy of this software and associated documentation files (the "Software"),
    00016  * to deal in the Software without restriction, including without limitation
    00017  * the rights to use, copy, modify, merge, publish, distribute, sublicense,
    00018  * and/or sell copies of the Software, and to permit persons to whom the
    00019  * Software is furnished to do so, subject to the following conditions:
    00020  *
    00021  * The above copyright notice and this permission notice shall be included in
    00022  * all copies or substantial portions of the Software.
    00023  *
    00024  * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
    00025  * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
    00026  * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
    00027  * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
    00028  * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
    00029  * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
    00030  * DEALINGS IN THE SOFTWARE.
    00031  */
    00032
    00033 #ifndef DISCOVER_CONF_H
    00034 #define DISCOVER_CONF_H
    00035
    00036 #include <discover/discover.h>
    00037
    00038 #ifdef __cplusplus
    00039     extern "C" {
    00040 #endif
    00041
    00042 void discover_conf_load(discover_error_t *status);
    00043 discover_bus_map_t *discover_conf_get_full_bus_map(discover_error_t *status);
    00044 discover_bus_map_t *discover_conf_get_bus_map(discover_bus_t bus,
    00045                                               discover_error_t *status);
    00046 discover_bus_map_t *discover_conf_get_bus_map_by_name(char *name,
    00047                                                       discover_error_t *status);
    00048
    00049 void discover_conf_insert_url(char *url, discover_error_t *status);
    00050 void discover_conf_append_url(char *url, discover_error_t *status);
    00051 discover_xml_url_t *discover_conf_get_urls(discover_error_t *status);
    00052 void discover_conf_free(void);
    00053
    00054 char *discover_conf_get_bus_name(discover_bus_t bus);
    00055 char *discover_conf_get_filetype_name(discover_filetype_t filetype);
    00056 int discover_conf_name_to_bus(char *name, discover_error_t *status);
    00057
    00058 #ifdef __cplusplus
    00059     }
    00060 #endif
    00061
    00062 #endif